<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Release</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{01B5F981-B9FD-4364-8F9E-9127130D2542}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Webserver</RootNamespace>
    <AssemblyName>WebServer</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <LangVersion>9</LangVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <NoStdLib>true</NoStdLib>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DefineConstants>ENABLE_PROFILER</DefineConstants>
    <Optimize>true</Optimize>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <WarningLevel>4</WarningLevel>
    <NoStdLib>true</NoStdLib>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DebugType>full</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_WebServer\</OutputPath>
    <DefineConstants>ENABLE_PROFILER</DefineConstants>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="0Harmony, Version=2.10.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\0Harmony.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Assembly-CSharp-firstpass, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\Assembly-CSharp-firstpass.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="com.rlabrecque.steamworks.net, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\com.rlabrecque.steamworks.net.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="LogLibrary">
      <HintPath>..\7dtd-binaries\LogLibrary.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\System.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\System.Xml.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml.Linq, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <HintPath>..\7dtd-binaries\System.Xml.Linq.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="UnityEngine">
      <HintPath>..\7dtd-binaries\UnityEngine.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Assembly-CSharp">
      <HintPath>..\7dtd-binaries\Assembly-CSharp.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="mscorlib">
      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="UnityEngine.CoreModule, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\UnityEngine.CoreModule.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="UnityEngine.ImageConversionModule, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\UnityEngine.ImageConversionModule.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Utf8Json, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\Utf8Json.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="src\ERequestMethod.cs" />
    <Compile Include="src\FileCache\AbstractCache.cs" />
    <Compile Include="src\FileCache\DirectAccess.cs" />
    <Compile Include="src\FileCache\InvalidateCachesCmd.cs" />
    <Compile Include="src\FileCache\SimpleCache.cs" />
    <Compile Include="src\LiveData\Animals.cs" />
    <Compile Include="src\LiveData\EntityFilterList.cs" />
    <Compile Include="src\LiveData\Hostiles.cs" />
    <Compile Include="src\ModApi.cs" />
    <Compile Include="src\Permissions\AdminWebModules.cs" />
    <Compile Include="src\Permissions\AdminApiTokens.cs" />
    <Compile Include="src\Permissions\AdminWebUsers.cs" />
    <Compile Include="src\Permissions\PermissionUtils.cs" />
    <Compile Include="src\Permissions\RegisterModules.cs" />
    <Compile Include="src\UserRegistrationTokens.cs" />
    <Compile Include="src\UrlHandlers\ApiHandler.cs" />
    <Compile Include="src\UrlHandlers\SseHandler.cs" />
    <Compile Include="src\WebAPI\AbsRestApi.cs" />
    <Compile Include="src\WebAPI\AbsWebAPI.cs" />
    <Compile Include="src\WebAPI\APIs\Animal.cs" />
    <Compile Include="src\WebAPI\APIs\Command.cs" />
    <Compile Include="src\WebAPI\APIs\GetLandClaims.cs" />
    <Compile Include="src\WebAPI\APIs\GetPlayerInventories.cs" />
    <Compile Include="src\WebAPI\APIs\GetPlayerInventory.cs" />
    <Compile Include="src\WebAPI\APIs\GetPlayerList.cs" />
    <Compile Include="src\WebAPI\APIs\GetPlayersLocation.cs" />
    <Compile Include="src\WebAPI\APIs\GetPlayersOnline.cs" />
    <Compile Include="src\WebAPI\APIs\Hostile.cs" />
    <Compile Include="src\WebAPI\APIs\Log.cs" />
    <Compile Include="src\WebAPI\APIs\Player.cs" />
    <Compile Include="src\WebAPI\APIs\RegisterUser.cs" />
    <Compile Include="src\WebAPI\APIs\ServerInfo.cs" />
    <Compile Include="src\WebAPI\APIs\ServerStats.cs" />
    <Compile Include="src\WebAPI\APIs\Mods.cs" />
    <Compile Include="src\WebAPI\APIs\WebUiUpdates.cs" />
    <Compile Include="src\WebAPI\JsonCommons.cs" />
    <Compile Include="src\WebAPI\Null.cs" />
    <Compile Include="src\AssemblyInfo.cs" />
    <Compile Include="src\Commands\EnableOpenIDDebug.cs" />
    <Compile Include="src\Commands\WebPermissionsCmd.cs" />
    <Compile Include="src\Commands\WebTokens.cs" />
    <Compile Include="src\ConnectionHandler.cs" />
    <Compile Include="src\UrlHandlers\AbsHandler.cs" />
    <Compile Include="src\UrlHandlers\ItemIconHandler.cs" />
    <Compile Include="src\UrlHandlers\RewriteHandler.cs" />
    <Compile Include="src\UrlHandlers\SessionHandler.cs" />
    <Compile Include="src\UrlHandlers\SimpleRedirectHandler.cs" />
    <Compile Include="src\UrlHandlers\StaticHandler.cs" />
    <Compile Include="src\UrlHandlers\UserStatusHandler.cs" />
    <Compile Include="src\LogBuffer.cs" />
    <Compile Include="src\MimeType.cs" />
    <Compile Include="src\OpenID.cs" />
    <Compile Include="src\RequestContext.cs" />
    <Compile Include="src\SSE\AbsEvent.cs" />
    <Compile Include="src\SSE\EventLog.cs" />
    <Compile Include="src\Web.cs" />
    <Compile Include="src\WebCommandResult.cs" />
    <Compile Include="src\WebConnection.cs" />
    <Compile Include="src\WebMod.cs" />
    <Compile Include="src\WebUtils.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <None Include="ModInfo.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="steam-intermediate.cer">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="steam-rootca.cer">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Include="webserver\**"
          CopyToOutputDirectory="Always"
          LinkBase="webserver\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\SpaceWizards.HttpListener\SpaceWizards.HttpListener.csproj">
      <Project>{1c5368e1-a4cf-4580-86bb-dffb20ab682c}</Project>
      <Name>SpaceWizards.HttpListener</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
</Project>